Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.document.undo.file
Enum AddSupportValuesEdit.TargetType

    java.lang.Object
      java.lang.Enum<AddSupportValuesEdit.TargetType>
          info.bioinfweb.treegraph.document.undo.file.AddSupportValuesEdit.TargetType

All Implemented Interfaces:
  Serializable, Comparable<AddSupportValuesEdit.TargetType>

Enclosing class:
  AddSupportValuesEdit

    public static enum AddSupportValuesEdit.TargetType

extends Enum<AddSupportValuesEdit.TargetType>

Enum Constant Summary
`HIDDEN_BRANCH_DATA`
`HIDDEN_NODE_DATA`
`LABEL`

Method Summary
`static AddSupportValuesEdit.TargetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AddSupportValuesEdit.TargetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LABEL

    public static final AddSupportValuesEdit.TargetType LABEL

### HIDDEN_NODE_DATA

    public static final AddSupportValuesEdit.TargetType HIDDEN_NODE_DATA

### HIDDEN_BRANCH_DATA

    public static final AddSupportValuesEdit.TargetType HIDDEN_BRANCH_DATA

Method Detail

### values

    public static AddSupportValuesEdit.TargetType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AddSupportValuesEdit.TargetType c : AddSupportValuesEdit.TargetType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AddSupportValuesEdit.TargetType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD